curl --request POST \
--url https://sandbox.api.fin.com/v1/customers/virtual-account \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_id": "5a6f47f7-7326-409f-a4da-90e409133fb8",
"destination_currency": "USDC",
"destination_chain": "POLYGON",
"source_rail": "ACH",
"source_currency": "USD",
"destination_wallet_address": "0x7f1568190e318da16a9ef5a46cba19d5b97d9b29",
"developer_fee_percentage": 1.5
}
'{
"data": {
"id": "eb99dce4-d26d-442a-9873-47336e9936ca",
"status": "ACTIVE",
"developer_fee_percent": 1.5,
"customer_id": "5a6f47f7-7326-409f-a4da-90e409133fb8",
"created_at": "2025-12-17T10:57:19.113092Z",
"updated_at": "2025-12-17T10:57:19.113092Z",
"deposit_instructions": {
"currency": "USD",
"bank_name": "Bank of Nowhere",
"bank_address": "1800 North Pole St., Orlando, FL 32801",
"bank_routing_number": "101019644",
"bank_account_number": "900801702004",
"bank_beneficiary_name": "Stageusa Testva",
"bank_beneficiary_address": "1200 Pennsylvania Avenue NW, Georgia, GA 20500, US",
"payment_rails": [
"ACH",
"FEDWIRE"
]
},
"destination": {
"currency": "USDC",
"destination_chain": "POLYGON",
"address": "0x7f1568190e318da16a9ef5a46cba19d5b97d9b29"
}
}
}Create a virtual bank account for a customer to convert USD deposits to USDC on Polygon
curl --request POST \
--url https://sandbox.api.fin.com/v1/customers/virtual-account \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_id": "5a6f47f7-7326-409f-a4da-90e409133fb8",
"destination_currency": "USDC",
"destination_chain": "POLYGON",
"source_rail": "ACH",
"source_currency": "USD",
"destination_wallet_address": "0x7f1568190e318da16a9ef5a46cba19d5b97d9b29",
"developer_fee_percentage": 1.5
}
'{
"data": {
"id": "eb99dce4-d26d-442a-9873-47336e9936ca",
"status": "ACTIVE",
"developer_fee_percent": 1.5,
"customer_id": "5a6f47f7-7326-409f-a4da-90e409133fb8",
"created_at": "2025-12-17T10:57:19.113092Z",
"updated_at": "2025-12-17T10:57:19.113092Z",
"deposit_instructions": {
"currency": "USD",
"bank_name": "Bank of Nowhere",
"bank_address": "1800 North Pole St., Orlando, FL 32801",
"bank_routing_number": "101019644",
"bank_account_number": "900801702004",
"bank_beneficiary_name": "Stageusa Testva",
"bank_beneficiary_address": "1200 Pennsylvania Avenue NW, Georgia, GA 20500, US",
"payment_rails": [
"ACH",
"FEDWIRE"
]
},
"destination": {
"currency": "USDC",
"destination_chain": "POLYGON",
"address": "0x7f1568190e318da16a9ef5a46cba19d5b97d9b29"
}
}
}Bearer token authentication. Obtain token from /v1/oauth/token endpoint
Unique identifier for the customer
"5a6f47f7-7326-409f-a4da-90e409133fb8"
Destination cryptocurrency
USDC Blockchain network for destination
POLYGON Payment rail for deposits
"ACH"
Source currency code
"USD"
Destination wallet address in hexadecimal format (0x...)
"0x7f1568190e318da16a9ef5a46cba19d5b97d9b29"
Developer fee percentage
1.5
Virtual account created successfully
Show child attributes